{ config, ... }:
{
  programs.yt-dlp = {
    enable = config.home.desktop.enable;
    settings = {
      add-metadata = true;
      embed-thumbnail = true;
      convert-thumbnails = "jpg";
      audio-format = "opus";
      output = ''"%(artist)s - %(title)s.%(ext)s"'';
    };
  };

  home.shellAliases.opusdl = "yt-dlp -f ba -x --audio-quality 0";
}
